#include "adv0.h"
#include "adv3.h"
int p1()
{
   if (p2() || loop) return 0;
   if (p3() || loop) return 0;
   if (p4() || loop) return 0;
   if (p5() || loop) return 0;
   if (p6() || loop) return 0;
   if (p7() || loop) return 0;
   if (p8() || loop) return 0;
   if (p9() || loop) return 0;
   if (p10() || loop) return 0;
   if (p11() || loop) return 0;
   if (p12() || loop) return 0;
   if (p13() || loop) return 0;
   if (p14() || loop) return 0;
   if (p15() || loop) return 0;
   if (p16() || loop) return 0;
   if (p17() || loop) return 0;
   if (p18() || loop) return 0;
   if (p19() || loop) return 0;
   if (p20() || loop) return 0;
   if (p21() || loop) return 0;
   if (p22() || loop) return 0;
   return 1;
}
int p23()
{
   if (p24() || loop) return 0;
   if (p25() || loop) return 0;
   return 1;
}
int p26()
{
   if (p27() || loop) return 0;
   if (p28() || loop) return 0;
   return 1;
}
int p31()
{
   if (p32() || loop) return 0;
   if (p33() || loop) return 0;
   return 1;
}
int p34()
{
   if (p35() || loop) return 0;
   if (p36() || loop) return 0;
   return 1;
}
int p49()
{
   if (p50() || loop) return 0;
   if (p51() || loop) return 0;
   return 1;
}
int p52()
{
   if (p53() || loop) return 0;
   if (p54() || loop) return 0;
   return 1;
}
int p55()
{
   if (p56() || loop) return 0;
   if (p57() || loop) return 0;
   if (p58() || loop) return 0;
   return 1;
}
int p62()
{
   if (p63() || loop) return 0;
   if (p64() || loop) return 0;
   return 1;
}
int p66()
{
   if (p67() || loop) return 0;
   if (p68() || loop) return 0;
   if (p69() || loop) return 0;
   return 1;
}
int p72()
{
   if (p73() || loop) return 0;
   if (p74() || loop) return 0;
   return 1;
}
int p75()
{
   if (p76() || loop) return 0;
   if (p77() || loop) return 0;
   return 1;
}
int p78()
{
   if (p79() || loop) return 0;
   if (p80() || loop) return 0;
   return 1;
}
int p81()
{
   if (p82() || loop) return 0;
   if (p83() || loop) return 0;
   return 1;
}
int p105()
{
   if (p106() || loop) return 0;
   if (p107() || loop) return 0;
   return 1;
}
int p108()
{
   if (p109() || loop) return 0;
   if (p110() || loop) return 0;
   return 1;
}
int p114()
{
   if (p115() || loop) return 0;
   if (p116() || loop) return 0;
   if (p117() || loop) return 0;
   if (p118() || loop) return 0;
   if (p119() || loop) return 0;
   if (p120() || loop) return 0;
   return 1;
}
int p130()
{
   if (p131() || loop) return 0;
   if (p132() || loop) return 0;
   return 1;
}
int p144()
{
   if (p145() || loop) return 0;
   if (p146() || loop) return 0;
   return 1;
}
int p147()
{
   if (p148() || loop) return 0;
   if (p149() || loop) return 0;
   return 1;
}
int p155()
{
   if (p156() || loop) return 0;
   if (p157() || loop) return 0;
   return 1;
}
int p168()
{
   if (p169() || loop) return 0;
   if (p170() || loop) return 0;
   if (p171() || loop) return 0;
   return 1;
}
int p173()
{
   if (p174() || loop) return 0;
   if (p175() || loop) return 0;
   if (p176() || loop) return 0;
   if (p177() || loop) return 0;
   return 1;
}
int p179()
{
   if (p180() || loop) return 0;
   if (p181() || loop) return 0;
   return 1;
}
int p183()
{
   if (p184() || loop) return 0;
   if (p185() || loop) return 0;
   return 1;
}
int p186()
{
   if (p187() || loop) return 0;
   if (p188() || loop) return 0;
   return 1;
}
int p190()
{
   if (p191() || loop) return 0;
   if (p192() || loop) return 0;
   return 1;
}
int p193()
{
   if (p194() || loop) return 0;
   if (p195() || loop) return 0;
   return 1;
}
int p197()
{
   if (p198() || loop) return 0;
   if (p199() || loop) return 0;
   if (p200() || loop) return 0;
   return 1;
}
int p201()
{
   if (p202() || loop) return 0;
   if (p203() || loop) return 0;
   return 1;
}
int p208()
{
   if (p209() || loop) return 0;
   if (p210() || loop) return 0;
   return 1;
}
int p218()
{
   if (p219() || loop) return 0;
   if (p220() || loop) return 0;
   return 1;
}
int p233()
{
   if (p234() || loop) return 0;
   if (p235() || loop) return 0;
   return 1;
}
int p283()
{
   if (p284() || loop) return 0;
   if (p285() || loop) return 0;
   return 1;
}
int p288()
{
   if (p289() || loop) return 0;
   if (p290() || loop) return 0;
   return 1;
}
int p293()
{
   if (p294() || loop) return 0;
   if (p295() || loop) return 0;
   return 1;
}
int p300()
{
   if (p301() || loop) return 0;
   if (p302() || loop) return 0;
   return 1;
}
int p323()
{
   if (p324() || loop) return 0;
   if (p325() || loop) return 0;
   return 1;
}
int p367()
{
   if (p368() || loop) return 0;
   if (p369() || loop) return 0;
   return 1;
}
int p371()
{
   if (p372() || loop) return 0;
   if (p373() || loop) return 0;
   return 1;
}
int p375()
{
   if (p376() || loop) return 0;
   if (p377() || loop) return 0;
   return 1;
}
int p378()
{
   if (p379() || loop) return 0;
   if (p380() || loop) return 0;
   return 1;
}
int p382()
{
   if (p383() || loop) return 0;
   if (p384() || loop) return 0;
   return 1;
}
int p385()
{
   if (p386() || loop) return 0;
   if (p387() || loop) return 0;
   return 1;
}
int p388()
{
   if (p389() || loop) return 0;
   if (p390() || loop) return 0;
   if (p391() || loop) return 0;
   if (p392() || loop) return 0;
   if (p393() || loop) return 0;
   return 1;
}
int p396()
{
   if (p397() || loop) return 0;
   if (p398() || loop) return 0;
   return 1;
}
int p402()
{
   if (p403() || loop) return 0;
   if (p404() || loop) return 0;
   return 1;
}
int p407()
{
   if (p408() || loop) return 0;
   if (p409() || loop) return 0;
   if (p410() || loop) return 0;
   return 1;
}
int p413()
{
   if (p414() || loop) return 0;
   if (p415() || loop) return 0;
   if (p416() || loop) return 0;
   if (p417() || loop) return 0;
   if (p418() || loop) return 0;
   if (p419() || loop) return 0;
   if (p420() || loop) return 0;
   if (p421() || loop) return 0;
   if (p422() || loop) return 0;
   if (p423() || loop) return 0;
   return 1;
}
int p427()
{
   if (p428() || loop) return 0;
   if (p429() || loop) return 0;
   return 1;
}
int p430()
{
   if (p431() || loop) return 0;
   if (p432() || loop) return 0;
   return 1;
}
int p435()
{
   if (p436() || loop) return 0;
   if (p437() || loop) return 0;
   if (p438() || loop) return 0;
   if (p439() || loop) return 0;
   return 1;
}
int p443()
{
   if (p444() || loop) return 0;
   if (p445() || loop) return 0;
   return 1;
}
int p446()
{
   if (p447() || loop) return 0;
   if (p448() || loop) return 0;
   return 1;
}
int p449()
{
   if (p450() || loop) return 0;
   if (p451() || loop) return 0;
   if (p452() || loop) return 0;
   return 1;
}
int p455()
{
   if (p456() || loop) return 0;
   if (p457() || loop) return 0;
   return 1;
}
int p471()
{
   if (p472() || loop) return 0;
   if (p473() || loop) return 0;
   return 1;
}
int p478()
{
   if (p479() || loop) return 0;
   if (p480() || loop) return 0;
   return 1;
}
int p482()
{
   if (p483() || loop) return 0;
   if (p484() || loop) return 0;
   if (p485() || loop) return 0;
   return 1;
}
int p486()
{
   if (p487() || loop) return 0;
   if (p488() || loop) return 0;
   if (p489() || loop) return 0;
   return 1;
}
int p490()
{
   if (p491() || loop) return 0;
   if (p492() || loop) return 0;
   return 1;
}
int p498()
{
   if (p499() || loop) return 0;
   if (p500() || loop) return 0;
   return 1;
}
int p503()
{
   if (p504() || loop) return 0;
   if (p505() || loop) return 0;
   return 1;
}
int p506()
{
   if (p507() || loop) return 0;
   if (p508() || loop) return 0;
   return 1;
}
int p518()
{
   if (p519() || loop) return 0;
   if (p520() || loop) return 0;
   return 1;
}
int p523()
{
   if (p524() || loop) return 0;
   if (p525() || loop) return 0;
   return 1;
}
int p528()
{
   if (p529() || loop) return 0;
   if (p530() || loop) return 0;
   if (p531() || loop) return 0;
   if (p532() || loop) return 0;
   return 1;
}
int p534()
{
   if (p535() || loop) return 0;
   if (p536() || loop) return 0;
   if (p537() || loop) return 0;
   if (p538() || loop) return 0;
   if (p539() || loop) return 0;
   return 1;
}
int p551()
{
   if (p552() || loop) return 0;
   if (p553() || loop) return 0;
   return 1;
}
int p557()
{
   if (p558() || loop) return 0;
   if (p559() || loop) return 0;
   if (p560() || loop) return 0;
   return 1;
}
int p564()
{
   if (p565() || loop) return 0;
   if (p566() || loop) return 0;
   return 1;
}
int p567()
{
   if (p568() || loop) return 0;
   if (p569() || loop) return 0;
   return 1;
}
int p571()
{
   if (p572() || loop) return 0;
   if (p573() || loop) return 0;
   if (p574() || loop) return 0;
   if (p575() || loop) return 0;
   return 1;
}
int p576()
{
   if (p577() || loop) return 0;
   if (p578() || loop) return 0;
   if (p579() || loop) return 0;
   return 1;
}
int p581()
{
   if (p582() || loop) return 0;
   if (p583() || loop) return 0;
   return 1;
}
int p584()
{
   if (p585() || loop) return 0;
   if (p586() || loop) return 0;
   return 1;
}
int p587()
{
   if (p588() || loop) return 0;
   if (p589() || loop) return 0;
   return 1;
}
int p592()
{
   if (p593() || loop) return 0;
   if (p594() || loop) return 0;
   return 1;
}
int p0(void)
{return 0;}
